Collect
/- Searches for debit memos using predefined parameters
Initiates workflow to warm up inventory transactions
Gets all of the debit memos in the system.
Processes a new debit memo
Execute Batch Operations
Returns a list of records with the specified batch_id
Creates a new debit that doesn't already exist
Returns a debit memo from the system by its ID.
Partially updates a debit memo with the specified ID.
Updates a debit memo with the specified ID.
Searches for debit memos...
Searches for debit memos using predefined parameters
Security
knox-authorizer
The debit memo that you would like to be saved.
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/debitMemos/{tenantId}/search
- https://collect.api.rhythmsoftware.comhttps://collect.api.rhythmsoftware.com/debitMemos/{tenantId}/search
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/debitMemos/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"batch_id": [
"string"
],
"business_unit_id": "string",
"date": [
"string",
"string"
],
"id": [
"string"
],
"number": [
0.1,
0.1
],
"total": [
0.1,
0.1
],
"total_in_base_currency": [
0.1,
0.1
]
}'Response
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }